Bug 1309376 - python-py9p: Provide a Python 3 subpackage
python-py9p: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-py9p (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter V. Saveliev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-02-17 11:12 EST by Petr Viktorin
Modified: 2016-11-18 11:19 EST (History)
4 users (show)

See Also:
Fixed In Version: python-py9p-1.0.9-8.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-18 11:19:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Python 3 (4.03 KB, patch)
2016-09-09 07:02 EDT, Dominika Krejčí
no flags Details | Diff
Add Python 3 (4.03 KB, patch)
2016-09-20 04:28 EDT, Dominika Krejčí
no flags Details | Diff
Added Python 2/3 subpackages and apps switched to Python 3 (4.55 KB, patch)
2016-09-21 05:41 EDT, Lumír Balhar
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 11:12:34 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package (e.g. for packages that just
contain /usr/bin tools), you can just switch to Python 3 entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:24:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 09:09:28 EDT
Hello Peter,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Dominika Krejčí 2016-09-09 07:02 EDT
Created attachment 1199383 [details]
Add Python 3

Hi Peter,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15555797
Comment 4 Lumír Balhar 2016-09-19 10:49:26 EDT
Hello, Dominiko.

In your patch source URL doesn't work. You probably wanted something like %{url}/archive/%{version}.tar.gz#%{srcname}-%{version}.tar.gz

Otherwise, it looks good to me.
Comment 5 Dominika Krejčí 2016-09-20 04:28 EDT
Created attachment 1202773 [details]
Add Python 3

Fixed Source. Thanks Lumír!
Comment 6 Lumír Balhar 2016-09-21 05:41 EDT
Created attachment 1203191 [details]
Added Python 2/3 subpackages and apps switched to Python 3

Hello.

During another review I've found few issues:
- Packages 9pfs and fuse9p have still shebangs with Python 2 (I don't know why) and related dependency on /usr/bin/python2
- You shouldn't use setup.py.in - better is to generate setup.py with `make force-version`
- I think that if we switch 9pfs and fuse9p to Python 3 it should depend on python3-py9p instead python-py9p which is python 2 version.

I am providing new patch, where all these issues are fixed.

Dominiko, could you please do a review?

Thank you and have a nice day.
Comment 7 Lumír Balhar 2016-09-21 05:45:01 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15732341
Comment 8 Dominika Krejčí 2016-09-21 10:37:04 EDT
Hi Lumír,
your patch looks good to me. If the maintainer has nothing against, we can push this changes after a week. :)
Comment 9 Charalampos Stratakis 2016-11-18 11:19:12 EST
Fixed some minor additional issues that I identified and pushed the changed for rawhide. If you would like it for F25 as well, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.